/*
 * Basic and shared styles of the structure
 * */
html, body {
  font-size: 62.5%;
  width: 100%;
  height: 100%;
  margin: 0;
  color: #000;
  background: #f4f4f4;
}

*.hidden {
  display: none;
}

.focus :not(input),.focus:not(p) {
  color: #fff !important;
}

#fxa-module-navigation {
  display: none;
}

html, body * {
  -moz-user-select: none;
  outline: none;
}

input {
  -moz-user-select: text;
}

.vertical {
  width: 100%;
}

section[role="region"] {
  width: 100%;
  height: 100%;
  margin: 0;
  position: absolute;
  z-index: 1;
}

section span[data-type="link"] {
  color: blue;
}

body {
  background: url(bg_light.png);
}

h3 {
  font-size: 1.7rem;
  font-weight: 400;
  line-height: 2.3rem;
  margin: 0 0 1rem;
  text-align: left;
  text-indent: 1.5rem;
}
h3:-moz-dir(rtl) {
  text-align: right;
}

label {
  width:100%;
  display:block;
}

ul {
  list-style: none;
  padding: 0;
}

/* * * * * * * * * * * * * * * * * * * * * * * *
 * Navigation bar based on a flex model
 * * * * * * * * * * * * * * * * * * * * * * * */

.navigation {
  position: absolute;
  background: #f4f4f4;
  border-top: 0.1rem solid #a6a6a6;
  padding: .75rem 1.5rem;
  box-sizing: border-box;
  margin: 0;
  left: 0;
  right:0;
  bottom: 0;
  overflow: hidden;
  display: block;
}

/* Overwrite this property from Building Blocks */
.navigation button{
  margin: 0;
}

.navigation button.left {
  margin-right: 1rem;
}

.navigation button.left, .navigation button.right {
  width: calc((100% / 2) - 0.5rem);
  float: left;
  position: relative;
}

/* When there is only one option, we remove the margin */

.navigation-single-button button.left {
  display: none;
}

.navigation.navigation-single-button button.right {
  margin: 0;
  width: 100%
}

.navigation-back-only button {
  margin: 0;
}

.navigation-back-only button.right {
  display: none;
}

.navigation-done #fxa-module-back,
.navigation-done #fxa-module-next {
  display: none;
}

#fxa-module-done {
  display: none;
}

.navigation-done #fxa-module-done {
  display: block;
}

/* * * * * * * * * * * * * * * * * * * * * * * *
 * Steps & Container
 *   All steps are contained in several views inside
 * 'step-container'. We will use HTML 'import' polyfill
 * and lazy load of the views. A view is a set of steps.
 * * * * * * * * * * * * * * * * * * * * * * * */

.bb-steps {
  margin: 0.5rem 1.5rem;
}
/* Mirror progress bar in RTL */
.bb-steps:-moz-dir(rtl) {
  transform: scaleX(-1);
}

#step-container {
  height: calc(100% - 6rem);
  position: relative;
  overflow: hidden;
}

.ff_account,
.screen {
  font-family: sans-serif;
  font-size: 1.7rem;
  line-height:2.3rem;
  width: 100%;
  height: 100%;
  position: absolute;
  overflow: scroll;
  display: none;
  padding: 0 0;
  box-sizing: border-box;
  text-align: center;
}

.screen p {
  font-size: 1.7rem;
  text-align: left;
  margin: 1rem 0;
  padding: 0 1rem;
  line-height: 2.2rem;
  color: var(--color-gs90);
}
.screen p:-moz-dir(rtl) {
  text-align: right;
}

.current {
  display: block;
}

/*
 * Intro screen styles
 */

p.fine-print {
  font-size: 1.7rem;
  line-height: 2.2rem;
  padding: 0 1rem;
  color: var(--color-gs90);
}

/*
* Verification Screen Styles
*/

ul.fxa-verification-wrapper {
  margin: 0;
  padding: 0;
}

ul.fxa-verification-wrapper li {
  list-style: none;
  margin: 0;
  padding: 0;
}

/*
 * Password screen styles
 */

#show-pw-wrapper,
#show-age-wrapper {
  width: 100%;
  display: block;
  height: 3.6rem;
}

#show-pw-wrapper p {
  float: left;
  display: block;
  padding: 0;
  height: 3.6rem;
  margin: 1rem;
}

#show-age-wrapper p {
  display: block;
  padding: 0;
  height: 3.6rem;
  margin: 1rem;
}

#show-pw-wrapper label,
#show-age-wrapper label {
  float: right;
  width: 0.3rem;
}

#show-pw-wrapper label input ~ span:after,
#show-age-wrapper label input ~ span:after {
  top: calc(50% - 3.2rem);
  left: -3.2rem;
  margin: 0;
  font-size: 3.2rem;
}

#show-pw-wrapper p:-moz-dir(rtl),
#show-age-wrapper p:-moz-dir(rtl) {
  float: right;
}

#show-pw-wrapper > label:-moz-dir(rtl),
#show-age-wrapper > label:-moz-dir(rtl) {
  float: right;
}

/* Animate next screen */
.currentToLeft {
  display:block;
  animation: currentToLeft 0.4s forwards;
}
@keyframes currentToLeft {
  0% { transform: translateX(0); }
  100% { transform: translateX(-100%); }
}
.rightToCurrent {
  display:block;
  animation: rightToCurrent 0.4s forwards;
}
@keyframes rightToCurrent {
  0% { transform: translateX(100%); }
  100% { transform: translateX(0); }
}

/* Animate prev screen */
.leftToCurrent {
  display: block;
  animation: leftToCurrent 0.4s forwards;
}
@keyframes leftToCurrent {
  0% { transform: translateX(-100%); }
  100% { transform: translateX(0); }
}
.currentToRight {
  display: block;
  animation: currentToRight 0.4s forwards;
}
@keyframes currentToRight {
  0% { transform: translateX(0); }
  100% { transform: translateX(100%); }
}

.current {
  display: block;
}

.screen a {
  text-decoration: underline;
  color: #000;
}

.fxa-logo {
  background-image: url('fxa_logo.png');
  background-size: 14rem auto;
  background-repeat: no-repeat;
  margin: 0 auto;
  width: 14rem;
  height: 15rem;
}

p.fxa-envelope {
  background-image: url('fxa_envelope.png');
  background-repeat: no-repeat;
  background-size: 7rem;
  padding-left: 8rem;
  padding-top: 1rem;
  line-height: 2rem;
  min-height: 6.4rem;
  max-width:100%;
  overflow: hidden; /* short email addresses will only take up one line*/
  text-overflow: ellipsis;
  margin-left: 1.5rem;
}

#fxa-error-overlay {
  z-index: 10;
}

/* * * * * * * * * * * * * * * * * * * * * * * *
 * Overlay:
 *   IMPORTANT: Avoid to use 'visibility' or 'opacity' due
 * to performance issues. For hiding, use 'display:none;''
 * * * * * * * * * * * * * * * * * * * * * * * */

#fxa-overlay {
  display: none;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  font-size: 2rem;
  background-color: rgba(255,255,255,1);
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 2.9rem;
  overflow-y: hidden;
}

#fxa-overlay.show {
  display: block;
}
#fxa-overlay .pannel{
  height: 6rem;
 
}
#fxa-overlay .title {
  margin: 1rem;
}

#fxa-overlay .progress {
  border-radius: 0.5rem;
  margin: 1rem;
  height: 0.6rem;
  background: var(--color-gs45);
  text-align: center;
  transition: width .6s ease;
  background-image: linear-gradient(90deg, var(--highlight-color) 25%, transparent 25%, transparent 50%, var(--highlight-color) 50%, var(--highlight-color) 75%, transparent 75%, transparent);
  animation: reverse progress-bar-stripes 2s linear infinite, animate-positive 2s;
  -webkit-background-size: 66rem;
  background-size: 66rem;
}

@keyframes progress-bar-stripes {
  0% {
    background-position: 66rem 0;
  }

  100% {
    background-position: 33rem 0;
  }
}
form[role=dialog] {
  display: none;
}

form[role=dialog].show {
  display: block;
}

/*
 * Classes to ensure functionality
 */

a.disabled {
  opacity: 0.3;
  pointer-events: none;
  text-decoration: none;
}

.button.icon-dialog select {
  border: none;
  background: transparent;
  font-size: 1.7rem;
}
/**
* gaia header
**/
gaia-header {
  font-weight: 300;
  font-size: 2.6rem;
  line-height: 1.5em;
  margin: 0px;
  
  word-wrap: break-word;
  color: #000;
  border-bottom: solid 1px #858585;
}

ul.tcl-nav-box,ul.tcl-nav-box li {
  margin: 0;
  padding: 0;
}

ul.tcl-nav-box li {
  padding-bottom: 1rem;
}

ul.tcl-nav-box label {
  text-align: left;
  padding-inline-start: 1rem;
}

html[dir="rtl"] ul.tcl-nav-box label {
  text-align: right;
}

ul.tcl-nav-box span {
  text-decoration: none;
  outline: 0px none;
  color: #000;
  box-sizing: border-box;
  font-size: 1.9rem;
  padding: 0px 0.8rem;
  margin: 0px;
  width: 20rem;
  display: block;
}

ul.tcl-nav-box li.focus {
  color: #fff;
}

ul.tcl-nav-box input[type="email"], ul.tcl-nav-box input[type="text"], ul.tcl-nav-box input[type="password"] {
  width: calc(100% - 2rem);
  display: block;
  text-indent: 0;
  padding: 0 1rem;
  margin: 0 1rem;
  height: 3.6rem;
  line-height: 3.6rem;
  font-size: 1.7rem;
  font-weight: 400;
  color: var(--color-gs90);
  -moz-border-radius: 0.2rem;
  border-radius: 0.2rem;
}

/**
* fxa value selector
**/
#fxa-valueselector {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 92;
}

#fxa-toaster {
  position: fixed;
  top: 0;
}
#fxa-toaster section {
  display: none;
}
#fxa-toaster section.toast-visible {
  display: block;
}

#fxa-send-success .email-sent {
  text-align: center;
}

.tcl-nav-box .fxa-email-box {
  width: calc(100% - 3rem);
  display: block;
  margin: 0 auto;
  text-indent: 0;
  padding-left: 0;
  font-family: sans-serif;
  box-sizing: border-box;
  height: 4rem;
  line-height: 4rem;
  resize: none;
  padding: 0 1.5rem;
  font-size: 1.6rem;
  border-radius: 0;
  box-shadow: none;
  color: var(--color-gs70);
  unicode-bidi: -moz-plaintext;
} 

.noheight {
  height: 0;
}

ul.tcl-nav-box input:-moz-placeholder, 
ul.tcl-nav-box input:-moz-placeholder,
ul.tcl-nav-box input::-moz-placeholder, 
ul.tcl-nav-box input::-moz-placeholder {
  font-style: normal;
  font-size: 1.7rem;
  color: var(--color-gs90);
  opacity: .5;
  font-weight: 400;
}

p.focus {
  background-color: inherit !important;
}

p.focus strong {
  color: var(--color-gs90) !important;
}

#fxa-phone-number-input {
  width: calc(100% - 2rem);
  height: 3.6rem;
  margin: 1rem 1rem 0rem 1rem;
  box-shadow: none !important;
}

.fxa-time-remaining-container {
  display: flex;
  margin-top: 2rem;
  text-align: center;
  justify-content: center;
  color: var(--color-gs90);
}

.fxa-time-remaining {
  margin-left: 0.4rem;
  font-weight: 700;
}

.fxa-otp-container {
  margin-top: 1rem;
  width: calc(100% - 2rem);
  height: 3.6rem;
  margin-left: 1rem;
  margin-right: 1rem;
  background-color: var(--color-gs10);
  border-radius: 0.2rem;
  text-align: center;
  color: var(--highlight-color);
  font-size: 3rem;
  font-weight: 600;
  line-height: 3.4rem;
  letter-spacing: 1rem;
}

.info-picker input {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
}

.info-picker select {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
}